var pushNotification;
app.push = app.push || {};
app.push.init = function(){
	console.log("app.push.init FIRED");
	pushNotification = window.plugins.pushNotification;
	if(device.platform == 'android' || device.platform == 'Android' ){
		pushNotification.register(app.push.register_success, app.push.register_error,{"senderID":"385555972268","ecb":"app.push.message_android"});
	}else{
		/* denenmedi!
		pushNotification.register(
			tokenHandler,
			errorHandler, {
				"badge":"true",
				"sound":"true",
				"alert":"true",
				"ecb":"app.push.message_ios"
		});
		*/
	}
}

app.push.message_android = function(e){
	//console.log(e.event)
	switch( e.event ){
		case 'registered':
			// eleman yeni gelmite olabilir? nceden kaytlda olabilir
			// regid'i servera gnder kayt et, ayn cihazda ayn regid dner
			if ( e.regid.length > 0 ){
				console.log("REGID " + e.regid);
				app.push.pushID = e.regid;
			
				if(app.push.pushID != null && app.push.pushID != ""){
					// pushNotif iin id alnmsa cihaz bilgileriyle gnder
					var devicePlatform,
						deviceUuid,
						deviceVersion,
						deviceScreen;
						
					if(typeof app.device != "undefined"){
						console.log("CORDOVA DEVICE");
						console.log(app.device);
						devicePlatform = app.device.platform;
						console.log("DEVICEP "+ app.device.platform);
						deviceUuid = app.device.uuid;
						deviceVersion = app.device.version;
						deviceScreen = window.innerHeight +"x"+window.innerWidth;
					}

					
					var gitLink = 'pushid='+app.push.pushID+'&os='+devicePlatform+'&version='+deviceVersion+'&ekran='+deviceScreen+'&uuid='+deviceUuid+'&par=regIdKaydet';
					console.log(gitLink);
					app.ajax(gitLink);
				}
			
			}else{
				console.log("regid dnmedi!");
				console.log(e);
			}
		break;

		case 'message':
		  // this is the actual push notification. its format depends on the data model from the push server
		  
		   var url = e.payload.url;
		   var popup = e.payload.popup;
		   console.log("url"+url);
		   console.log("pop"+popup);
		  
		   if(url!="undefined" && url!="" && url!=0  && url!="Nan" ){
				document.location.href =url;	   
		   }else if(popup!="undefined" && popup!="" && popup!=0  && popup!="Nan"){
		   		alert(popup);
		   }
			   
		   
		   
		break;

		case 'error':
		  console.log('GCM error = '+e.msg);
		break;

		default:
		  console.log('An unknown GCM event has occurred');
		  break;
	}

}

app.push.message_ios = function(e){
	console.log("ios desteklemiyor");	
}

app.push.register_success = function(result){
	console.log('register_success '+result);
}

app.push.register_error = function(e){
	console.log('register_error '+e);
}